package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.tenlionsoft.aimz_k.databinding.ItemApplyContactBinding
import com.tenlionsoft.aimz_k.model.ApplyContactBean
import com.tenlionsoft.aimz_k.viewmodel.ApplyContactViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter

class ApplyContactAdapter(
    datas: List<ApplyContactBean>,
    private val viewModel: ApplyContactViewModel
) : BaseBindingAdapter<ApplyContactBean, ItemApplyContactBinding>(datas) {

    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemApplyContactBinding {
        return ItemApplyContactBinding.inflate(LayoutInflater.from(parent.context), parent, false)
    }

    override fun bindItem(holder: BaseViewHolder<ItemApplyContactBinding>, position: Int) {
        holder.binding.pos = position
        holder.binding.bean = list[position]
        holder.binding.size = list.size - 1
        holder.binding.tvAddContact.isEnabled = list[position].status != "PASS"
        holder.binding.btnValue = if (list[position].status == "PASS") "已添加" else "通过"
        holder.binding.tvAddContact.setOnClickListener {
            viewModel.doAddContact(list[position])
        }

    }
}