package com.tenlionsoft.aimz_k.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import com.tenlionsoft.aimz_k.model.ContactBean
import com.tenlionsoft.aimz_k.model.ReplyBean

@Dao
interface ContactDao {


    /**
     * 获取全部
     *
     * @return
     */
    @Query("SELECT * FROM db_contact")
    suspend fun getAllContact(): List<ContactBean>?

    /**
     * 添加多个
     *
     * @param beans
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(vararg beans: ContactBean)

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(beans: List<ContactBean>)


    /**
     * 添加-单个
     *
     * @param bean
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(bean: ContactBean)

    /**
     * 删除
     */
    @Query("DELETE FROM db_reply WHERE id=:id")
    suspend fun delReply(id: Long)
    /**
     * 删除
     */
    @Query("DELETE FROM db_contact WHERE userId=:userId")
    suspend fun delReply(userId: String)
}