package com.tenlionsoft.aimz_k.page.activity

import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityManageReplyBinding
import com.tenlionsoft.aimz_k.viewmodel.ManageReplyViewModel
import com.tenlionsoft.baselib.base.BaseActivity

class ManageReplyActivity : BaseActivity() {
    private lateinit var mBind: ActivityManageReplyBinding
    private var viewModel: ManageReplyViewModel? = null

    override fun bindView() {
        mBind =
            DataBindingUtil.setContentView(this@ManageReplyActivity, R.layout.activity_manage_reply)
        mBind.ivBack.setOnClickListener { finish() }
        viewModel = ViewModelProvider(this)[ManageReplyViewModel::class.java]
        mBind.model = viewModel
        mBind.lifecycleOwner = this
        viewModel!!.showSoftKeyboard.observe(this) {
            if (it) {
                showSoftKeyBoard(mBind.etReplyContent)
                mBind.etReplyContent.requestFocus()
            } else {
                hideSoftKeyboard()
                mBind.etReplyContent.clearFocus()
            }
        }
    }


}