package com.tenlionsoft.aimz_k.page.activity

import android.view.inputmethod.EditorInfo
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivitySearchContactBinding
import com.tenlionsoft.aimz_k.viewmodel.SearchContactViewModel
import com.tenlionsoft.baselib.base.BaseActivity
import com.tenlionsoft.baselib.model.ViewState

class SearchContactActivity : BaseActivity() {
    private lateinit var mBind: ActivitySearchContactBinding
    private lateinit var viewModel: SearchContactViewModel

    @Suppress("UNCHECKED_CAST")
    override fun bindView() {
        mBind = DataBindingUtil.setContentView(this, R.layout.activity_search_contact)
        viewModel = ViewModelProvider(this, object : ViewModelProvider.Factory {
            override fun <T : ViewModel> create(modelClass: Class<T>): T {
                return SearchContactViewModel(this@SearchContactActivity.applicationContext) as T
            }
        })[SearchContactViewModel::class.java]
        mBind.model = viewModel
        mBind.lifecycleOwner = this
        mBind.etSearchContact.setOnEditorActionListener { v, actionId, event ->
            if (actionId == EditorInfo.IME_ACTION_SEARCH) {
                val searchText = v.text.toString()
                hideSoftKeyboard()
                viewModel.searchContact(searchText)
                true
            } else {
                false
            }
        }
        mBind.ivBack.setOnClickListener { finish() }
        mBind.clvState.setState(ViewState.STATE_SEARCH)
        viewModel.pageState.observe(this) {
            mBind.clvState.setState(it)
        }
        viewModel.showApplyContentDialog.observe(this){
            if(it){

            }else{

            }
        }
    }
}